Skip to content

Export project

Request

Trigger the export of a completed project to a video file.

Returns a projectId and editId that can be used to poll the export status.

Prerequisites: The project must have completed enhancement before exporting. Check enhancement status with GET /auth/project/{projectId}/edit/status/enhance.

Security
ShuffllApiKey
Path
projectIdstring, (uuid)required

Unique identifier for the project

Example:dad4bce8-f5cb-4078-a211-995864315e39
curl -i -X POST \
  https://api-docs.shuffll.com/_mock/apis/auth/project/dad4bce8-f5cb-4078-a211-995864315e39/edit/export \
  -H 'x-api-key: YOUR_API_KEY_HERE'

Responses

Export job started successfully.

Bodyapplication/json
projectIdstring

Unique identifier of the project being exported

Example:"3be6453c-03eb-4357-ae5a-984a0e574a54"
editIdstring

Unique identifier of the edit created for this export job

Example:"2f14374a-9c65-4ee5-94b7-fba66d893483"
Response
{ "projectId": "3be6453c-03eb-4357-ae5a-984a0e574a54", "editId": "2f14374a-9c65-4ee5-94b7-fba66d893483" }